Bug 110726 - gpdf should BuildRequires: desktop-file-utils
gpdf should BuildRequires: desktop-file-utils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 05:10 EST by Maxim Dziumanenko
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 04:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 05:10:31 EST
Description of problem:
gpdf uses desktop-file-install (which belongs to desktop-file-utils
package) in %install section, so gpdf should BuildRequires:
desktop-file-utils

Version-Release number of selected component (if applicable):
gpdf-0.110-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -e desktop-file-utils
2.rpmbuild --rebuild gpdf-0.110-1.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-24 07:16:21 EST
Triage->Easyfix
Comment 2 Warren Togami 2004-04-07 21:45:47 EDT
There are a lot more missing BuildRequires.  This needs more work.


if test "figures"; then \
  /bin/sh ../../mkinstalldirs
/var/tmp/gpdf-0.131-root/usr/share/gnome/help/gpdf/C/figures; \
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /usr/bin/install -c -m 644 $file
/var/tmp/gpdf-0.131-root/usr/share/gnome/help/gpdf/C/figures/$basefile; \
  done \
fi
mkdir -p -- /var/tmp/gpdf-0.131-root/usr/share/gnome/help/gpdf/C/figures
make  install-data-hook
make[4]: Entering directory `/usr/src/rpm/BUILD/gpdf-0.131/help/C'
/bin/sh ../../mkinstalldirs /var/tmp/gpdf-0.131-root/usr/share/omf/gpdf
mkdir -p -- /var/tmp/gpdf-0.131-root/usr/share/omf/gpdf
for file in gpdf-C.omf; do \
        /usr/bin/install -c -m 644 $file.out
/var/tmp/gpdf-0.131-root/usr/share/omf/gpdf/$file; \
done
/usr/bin/install: cannot stat `gpdf-C.omf.out': No such file or directory
make[4]: *** [install-data-hook-omf] Error 1
make[4]: Leaving directory `/usr/src/rpm/BUILD/gpdf-0.131/help/C'
make[3]: *** [install-data-am] Error 2
make[3]: Leaving directory `/usr/src/rpm/BUILD/gpdf-0.131/help/C'
make[2]: *** [install-am] Error 2
make[2]: Leaving directory `/usr/src/rpm/BUILD/gpdf-0.131/help/C'
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory `/usr/src/rpm/BUILD/gpdf-0.131/help'
make: *** [install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.93409 (%install)
Comment 3 Warren Togami 2004-04-11 00:36:09 EDT
Removing EasyFix.  Please find the missing BuildRequires for the above
error and add EasyFix again.
Comment 4 Warren Togami 2004-04-11 04:48:05 EDT
nevermind, it was scrollkeeper along with three other missing BR's. 
Coming to rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.